Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.internal.tasks
Class DefaultTaskContainer

    java.lang.Object
      org.gradle.api.internal.AbstractDomainObjectCollection
          org.gradle.api.internal.DefaultDomainObjectContainer
              org.gradle.api.internal.tasks.DefaultTaskCollection
                  org.gradle.api.internal.tasks.DefaultTaskContainer

All Implemented Interfaces:
  TaskContainerInternal

    class DefaultTaskContainer
    extends DefaultTaskCollection

Field Summary

Fields inherited from class DefaultTaskCollection
project

Constructor Summary
`DefaultTaskContainer(Project project, ITaskFactory taskFactory)`

Method Summary
`Task` | `add(Map options)`
`Task` | `add(Map options, Closure configureClosure)`
`T` | `add(java.lang.String name, java.lang.Class type)`
`Task` | `add(java.lang.String name)`
`Task` | `add(java.lang.String name, Closure configureClosure)`
`Task` | `findByPath(java.lang.String path)`
`Task` | `getByPath(java.lang.String path)`
`Task` | `replace(java.lang.String name)`
`T` | `replace(java.lang.String name, java.lang.Class type)`

Methods inherited from class DefaultTaskCollection
allTasks, allTasks, createNotFoundException, getDisplayName, matching, whenTaskAdded, whenTaskAdded, withType

Methods inherited from class DefaultDomainObjectContainer
addObject, addRule, addRule, createNotFoundException, findByName, getAsMap, getDisplayName, getRules, getType, matching, storeWithSpec, storeWithType, whenObjectAdded, whenObjectAdded, whenObjectRemoved, withType

Methods inherited from class AbstractDomainObjectCollection
allObjects, allObjects, createNotFoundException, findAll, getAll, getAsDynamicObject, getAt, getByName, getByName, getDisplayName, iterator, methodMissing, propertyMissing

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Constructor Detail

### DefaultTaskContainer

    public DefaultTaskContainer(Project project, ITaskFactory taskFactory)

Method Detail

### add

    public Task add(Map options)

### add

    public Task add(Map options, Closure configureClosure)

### add

    public T add(java.lang.String name, java.lang.Class type)

### add

    public Task add(java.lang.String name)

### add

    public Task add(java.lang.String name, Closure configureClosure)

### findByPath

    public Task findByPath(java.lang.String path)

### getByPath

    public Task getByPath(java.lang.String path)

### replace

    public Task replace(java.lang.String name)

### replace

    public T replace(java.lang.String name, java.lang.Class type)

Groovy Documentation